List messages
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "9b3c1d5f-0000-4000-8000-000000000000",
"object": "message",
"role": "user",
"type": "text",
"text": "Hello",
"created_at": "2026-01-15T10:04:00+00:00",
"conversation": "5d2f7a3e-0000-4000-8000-000000000000",
"channel": {
"name": "whatsapp",
"from": "+15550100101"
}
}
],
"has_more": false,
"next_cursor": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Tenants
List messages
Lists the messages of a conversation, oldest first. Needs the messages:read scope.
GET
/
api
/
v1
/
partner
/
tenants
/
{external_ref}
/
conversations
/
{session_id}
/
messages
/
List messages
curl --request GET \
--url https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/tenants/{external_ref}/conversations/{session_id}/messages/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"data": [
{
"id": "9b3c1d5f-0000-4000-8000-000000000000",
"object": "message",
"role": "user",
"type": "text",
"text": "Hello",
"created_at": "2026-01-15T10:04:00+00:00",
"conversation": "5d2f7a3e-0000-4000-8000-000000000000",
"channel": {
"name": "whatsapp",
"from": "+15550100101"
}
}
],
"has_more": false,
"next_cursor": null
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Path Parameters
Query Parameters
Response
Success